Updates an existing program-level interest rate tier.put https://example.com/programs/{programCode}/InterestRateTiersThis endpoint allows Partners to update an existing interest rate tier.Path ParamsprogramCodestringrequiredThe program code associated with the request.Body ParamsThe request object containing details of the program interest rate tier to update.interestTierNamestring | nullGets or sets the name of the interest rate tier.accountBalanceTypestring | nullGets or sets the type of account balance used for the tier (e.g., average, minimum, maximum).frequencystring | nullGets or sets the frequency at which the interest is applied (e.g., monthly, quarterly).startDatedate-time | nullGets or sets the start date for the interest rate tier's validity period.endDatedate-time | nullGets or sets the end date for the interest rate tier's validity period.APYdouble | nullGets or sets the annual percentage yield (APY) for the tier.maxAccountInterestTypestring | nullGets or sets the type of maximum account interest applicable to the tier.minimumPurseBalancedouble | nullGets or sets the minimum purse balance required for the tier.maximumPurseBalancedouble | nullGets or sets the maximum purse balance allowed for the tier.maxAccountInterestBalancedouble | nullGets or sets the maximum account interest balance for the tier.HeadersX-GD-RequestIdstringrequiredThe unique request identifier from the X-GD-RequestId header.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsonAllowed:application/jsontext/jsonResponses 200OK 401Unauthorized 403Forbidden 500Internal Server Error 503Service UnavailableUpdated 2 months ago